Loading...
Searching...
No Matches
caf::callback_impl< F, Ts > Class Template Reference

Utility class for wrapping a function object of type Base. More...

`#include <callback.hpp>`

Inheritance diagram for caf::callback_impl< F, Ts >:

## Public Member Functions

| callback_impl (F &&f)
| callback_impl (callback_impl &&)=default
callback_impl & | operator= (callback_impl &&)=default
error | operator() (Ts... xs) override

## Additional Inherited Members

Related Symbols inherited from caf::callback< Ts... >
select_callback< F >::type | make_callback (F fun)
| Creates a callback from a lambda expression.

## Detailed Description

template<class F, class... Ts>
class caf::callback_impl< F, Ts >

Utility class for wrapping a function object of type Base.

## Member Function Documentation

## operator()()

template<class F, class... Ts>

error caf::callback_impl< F, Ts >::operator() | ( | Ts... | xs | ) |

override virtual

Implements caf::callback< Ts... >.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/callback.hpp